# Delete a pool

Delete a pool. You cannot delete a pool if there are any attempts running or queued in the pool, if a pool rule references it, or if it is the default pool. The deleted pool’s concurrency limit is added to the default pool’s concurrency limit.

Endpoint: DELETE /api/pools/{poolId}
Version: 1.0
Security: ApiKeyAuth

## Security:

  - `ApiKeyAuth` (unknown)
    http TD1

## Path parameters:

  - `poolId` (integer, required)

## Response 200:

  - `200` (unknown)
    Pool deleted

## Response 200 fields (application/json):

  - `concurrencyLimit` (integer, required)
    Maximum number of concurrent attempts that can run in this pool. Total concurrency limit of all pools cannot exceed the account's concurrency limit.
    Example: 10

  - `default` (boolean, required)
    Whether the pool is the default pool.
    Example: true

  - `id` (string, required)
    ID of the pool.
    Example: 42

  - `name` (string, required)
    Name of the pool. This name must be unique within the account.
    Example: activation

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 404:

  - `404` (unknown)
    Pool not found

